StreamingEncoderEncodedAppender (Grails 6.0.0)

Package: org.grails.encoder

## [Java] Class StreamingEncoderEncodedAppender

- org.grails.encoder.StreamingEncoderEncodedAppender

-     public class StreamingEncoderEncodedAppender
      extends AbstractEncodedAppender

  EncodedAppender implementation used for piping / chaining several StreamingEncoders

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private StreamingEncoder` | `encoder` |
    `private EncodedAppender` | `target` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractEncodedAppender` | `ignoreEncodingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingEncoderEncodedAppender (StreamingEncoder encoder, EncodedAppender target)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence str, int start, int end)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `` | `protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractEncodedAppender` | `append, append, append, appendCharSequence, appendEncoded, appendEncoded, createNewEncodingState, encodeAndWrite, flush, isIgnoreEncodingState, setIgnoreEncodingState, shouldEncode, shouldEncodeWith, write, write`

- - ### Field Detail

    - #### private final StreamingEncoder encoder

    - #### private final EncodedAppender target

  - ### Constructor Detail

    - #### public StreamingEncoderEncodedAppender(StreamingEncoder encoder, EncodedAppender target)

  - ### Method Detail

    - #### @java.lang.Override protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence str, int start, int end)

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override protected void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override protected void write(EncodingState encodingState, java.lang.String str, int off, int len)